#define prerel beta1

Name:             pgmodeler
Version:          1.1.5
Release:          %mkrel %{?prerel:0.%prerel.}1
Summary:          PostgreSQL Database Modeler

License:          GPLv3
URL:              http://www.pgmodeler.com.br/
Group:            Development/Databases
Source0:          https://github.com/%{name}/%{name}/archive/v%{version}%{?prerel:-%prerel}/%{name}-%{version}%{?prerel:-%prerel}.tar.gz
# https://github.com/pgmodeler/pgmodeler/issues/618
Source1:          %{name}.desktop
Source2:          %{name}-mime-dbm.xml
Patch0:           %{name}-1.0.0-mga-do-not-check-for-updates-by-default.patch

BuildRequires:    pkgconfig(libxml-2.0)
BuildRequires:    pkgconfig(libpq)
BuildRequires:    pkgconfig(Qt6Core)
BuildRequires:    pkgconfig(Qt6Gui)
BuildRequires:    pkgconfig(Qt6Help)
BuildRequires:    pkgconfig(Qt6Network)
BuildRequires:    pkgconfig(Qt6PrintSupport)
BuildRequires:    pkgconfig(Qt6Svg)
BuildRequires:    pkgconfig(Qt6Widgets)
BuildRequires:    pkgconfig(xext)
BuildRequires:    icu-devel
BuildRequires:    desktop-file-utils
BuildRequires:    gettext

%description
PostgreSQL Database Modeler, or simply, pgModeler is an
open source tool for modeling databases that merges the classical
concepts of entity-relationship diagrams with specific features that
only PostgreSQL implements. The pgModeler translates the models created
by the user to SQL code and apply them onto database clusters (Version
9.x).

%package devel
Summary: Development files for %{name}
Group: System/Libraries
Requires: %{name} = %{version}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}%{?prerel:-%prerel}

%autopatch -p1

%build
%ifarch i586
%global optflags %(echo "%{optflags} -msse2")
%endif
%ifarch i686
%global optflags %(echo "%{optflags}" | sed "s/ -fcf-protection=full//")
%endif

%qmake_qt6 -recursive \
    PREFIX=%{_prefix} \
    BINDIR=%{_bindir} \
    PRIVATEBINDIR+=%{_libexecdir} \
    PLUGINSDIR=%{_libdir}/%{name}/plugins \
    SHAREDIR=%{_datadir}/%{name} \
    DOCDIR=%{_docdir}/%{name} \
    PRIVATELIBDIR+=%{_libdir}/%{name} \
        %{name}.pro

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-install --mode 644 \
    --dir %{buildroot}%{_datadir}/applications/ %{SOURCE1}

install -p -dm 755 %{buildroot}%{_datadir}/icons
install -p -m 644 assets/conf/%{name}_logo.png %{buildroot}%{_datadir}/icons

install -p -dm 755 %{buildroot}%{_datadir}/mime/packages
install -p -m 644 %{SOURCE2} %{buildroot}%{_datadir}/mime/packages/%{name}.xml

rm -f %{buildroot}%{_datadir}/%{name}/conf/%{name}.conf.0000

mkdir -p %{buildroot}%{_libdir}/%{name}/plugins

%files
%doc CHANGELOG.md LICENSE README.md RELEASENOTES.md
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_libexecdir}/%{name}-ch
%{_libexecdir}/%{name}-se
%{_libdir}/%{name}/lib*.so.*
%{_libdir}/%{name}/plugins
%{_datadir}/%{name}
%{_datadir}/icons/%{name}_logo.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop

%files devel
%{_libdir}/%{name}/lib*.so



%changelog
* Tue Nov 05 2024 ns80 <ns80> 1.1.5-1.mga10
+ Revision: 2112468
- new version 1.1.5 for PostgreSQL 17 support

* Tue Sep 03 2024 ns80 <ns80> 1.1.4-1.mga10
+ Revision: 2092866
- new version 1.1.4

* Wed May 15 2024 ns80 <ns80> 1.1.3-1.mga10
+ Revision: 2064277
- new version 1.1.3

* Wed Apr 10 2024 ns80 <ns80> 1.1.2-1.mga10
+ Revision: 2056321
- new version 1.1.2

* Wed Mar 20 2024 ns80 <ns80> 1.1.1-1.mga10
+ Revision: 2050986
- new version 1.1.1

* Mon Feb 26 2024 ns80 <ns80> 1.1.0-1.mga10
+ Revision: 2044495
- new version 1.1.0

* Thu Oct 19 2023 ns80 <ns80> 1.0.6-1.mga10
+ Revision: 1999261
- new version 1.0.6 (mga#32414)

* Tue Jun 27 2023 ns80 <ns80> 1.0.4-4.mga9
+ Revision: 1963191
- add upstream patches to fix GUI bugs

* Wed Jun 14 2023 ns80 <ns80> 1.0.4-3.mga9
+ Revision: 1961926
- add an upstream patch to add missing multirange types

* Fri Jun 02 2023 ns80 <ns80> 1.0.4-2.mga9
+ Revision: 1960539
- add an upstream patch to fix a bug in PgModelerCliApp::fixModel that was causing the generation of empty models when the input file had no tag <role>

* Mon May 22 2023 ns80 <ns80> 1.0.4-1.mga9
+ Revision: 1957695
- new version 1.0.4

* Fri Apr 28 2023 ns80 <ns80> 1.0.3-1.mga9
+ Revision: 1955234
- new version 1.0.3

* Wed Mar 15 2023 ns80 <ns80> 1.0.2-1.mga9
+ Revision: 1949050
- new version 1.0.2

* Mon Feb 27 2023 ns80 <ns80> 1.0.1-1.mga9
+ Revision: 1945596
- new version 1.0.1

* Thu Feb 02 2023 ns80 <ns80> 1.0.0-2.mga9
+ Revision: 1937560
- new version 1.0.0

* Wed Feb 01 2023 ns80 <ns80> 1.0.0-1.mga9
+ Revision: 1937385
- new version 1.0.0

* Mon Dec 05 2022 ns80 <ns80> 1.0.0-0.beta1.1.mga9
+ Revision: 1917979
- new version 1.0.0-beta1

* Mon Apr 04 2022 umeabot <umeabot> 0.9.4-2.mga9
+ Revision: 1843963
- Mageia 9 Mass Rebuild

* Mon Dec 20 2021 ns80 <ns80> 0.9.4-1.mga9
+ Revision: 1763057
- new version 0.9.4

* Tue Jan 05 2021 ns80 <ns80> 0.9.3-1.mga8
+ Revision: 1668960
- new version 0.9.3

* Thu Dec 17 2020 umeabot <umeabot> 0.9.2-6.mga8
+ Revision: 1659372
- Rebuild for new Qt5

* Fri Aug 21 2020 joequant <joequant> 0.9.2-5.mga8
+ Revision: 1617178
- add build requires

* Wed Feb 19 2020 umeabot <umeabot> 0.9.2-4.mga8
+ Revision: 1543061
- Mageia 8 Mass Rebuild

* Mon Jan 13 2020 ns80 <ns80> 0.9.2-3.mga8
+ Revision: 1477780
- add patches for issues 1366 and 1370

* Thu Jan 09 2020 ns80 <ns80> 0.9.2-2.mga8
+ Revision: 1477396
- upstream released a new tarball for version 0.9.2 with additional fixes

* Sat Dec 28 2019 ns80 <ns80> 0.9.2-1.mga8
+ Revision: 1474556
- new version 0.9.2 (mga#25981)

* Mon Apr 01 2019 umeabot <umeabot> 0.9.1-3.mga7
+ Revision: 1383897
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.1-2.mga7
+ Revision: 1300198
- Mageia 7 Mass Rebuild

* Mon May 14 2018 ns80 <ns80> 0.9.1-1.mga7
+ Revision: 1229607
- new version 0.9.1

* Mon Apr 30 2018 daviddavid <daviddavid> 0.9.0-2.mga7
+ Revision: 1223852
- add upstream patch to fix build against Qt 5.10
- split out all Qt5 BRs
- use a named-versioned github tarball

* Mon Sep 04 2017 ns80 <ns80> 0.9.0-1.mga7
+ Revision: 1151106
- rediff patch do-not-check-for-updates-by-default
- new version 0.9.0

* Thu Jun 09 2016 ns80 <ns80> 0.8.2-1.mga6
+ Revision: 1020960
- new version 0.8.2

* Tue Feb 16 2016 umeabot <umeabot> 0.8.1-2.mga6
+ Revision: 962075
- Mageia 6 Mass Rebuild

* Tue Sep 08 2015 ns80 <ns80> 0.8.1-1.mga6
+ Revision: 874019
- imported package pgmodeler

